<?php

namespace Service;

class Produtos {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function retornaProdutos($nrorg, $filiais, $cdgrupprod, $qtdInicial, $qtdFinal) {
        return $this->entityManager->getRepository('Model\Complemento')->retornaProdutos($nrorg, $filiais, $cdgrupprod, $qtdInicial, $qtdFinal);
    }

    public function retornaProdutosInventarios($nrorg, $filiais) {
        return $this->entityManager->getRepository('Model\Complemento')->retornaProdutosInventarios($nrorg, $filiais);
    }

    public function retornaGruposProduto($nrorg){
        return $this->entityManager->getRepository('Model\Complemento')->retornaGruposProduto($nrorg);
    }

    public function retornaMascaraProduto($nrorg){
        return $this->entityManager->getRepository('Model\Complemento')->retornaMascaraProduto($nrorg);
    }

    public function retornaQtdTotalProdutos($nrorg, $filiais, $cdgrupprod){
        $dataSet = array();
        foreach ($filiais as $filial) {
            $qtd = $this->entityManager->getRepository('Model\Complemento')->retornaQtdTotalProdutos($nrorg, $filial, $cdgrupprod);
            $dataSet[$filial] = $qtd[0]['QTD'];
        }
        return $dataSet;
    }
}